cadenya agents schedules list agent_123require "cadenya"
client = Cadenya::Client.new
client.agents.schedules.list("agent_123").each do |item|
puts item.inspect
endpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.AgentScheduleListParams{}
result, err := client.Agents().Schedules().List(ctx, "agent_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const page = await client.agents.schedules.list('agent_123');
for await (const item of page) {
console.log(item);
}from cadenya import Cadenya
with Cadenya() as client:
for item in client.agents.schedules.list("agent_123"):
print(item){
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"schedule": {
"calendars": [
{
"second": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"minute": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"hour": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfMonth": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"month": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfWeek": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"comment": "<string>"
}
],
"intervals": [
{
"every": "<string>",
"offset": "<string>"
}
],
"timezone": "<string>"
},
"overlapPolicy": "OVERLAP_POLICY_UNSPECIFIED",
"firstUserMessage": "<string>",
"variationId": "agentvar_01HXKD2E5NQM3T9AYWCF32BSPP",
"systemPromptData": {},
"firstUserMessageData": {}
},
"info": {
"totalFires": 123,
"nextFireAt": "2023-11-07T05:31:56Z",
"lastFireAt": "2023-11-07T05:31:56Z",
"lastObjectiveId": "obj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"lastSkippedAt": "2023-11-07T05:31:56Z",
"lastSkipReason": "<string>",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List schedules
Lists all schedules for an agent
cadenya agents schedules list agent_123require "cadenya"
client = Cadenya::Client.new
client.agents.schedules.list("agent_123").each do |item|
puts item.inspect
endpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.AgentScheduleListParams{}
result, err := client.Agents().Schedules().List(ctx, "agent_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const page = await client.agents.schedules.list('agent_123');
for await (const item of page) {
console.log(item);
}from cadenya import Cadenya
with Cadenya() as client:
for item in client.agents.schedules.list("agent_123"):
print(item){
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"schedule": {
"calendars": [
{
"second": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"minute": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"hour": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfMonth": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"month": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfWeek": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"comment": "<string>"
}
],
"intervals": [
{
"every": "<string>",
"offset": "<string>"
}
],
"timezone": "<string>"
},
"overlapPolicy": "OVERLAP_POLICY_UNSPECIFIED",
"firstUserMessage": "<string>",
"variationId": "agentvar_01HXKD2E5NQM3T9AYWCF32BSPP",
"systemPromptData": {},
"firstUserMessageData": {}
},
"info": {
"totalFires": 123,
"nextFireAt": "2023-11-07T05:31:56Z",
"lastFireAt": "2023-11-07T05:31:56Z",
"lastObjectiveId": "obj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"lastSkippedAt": "2023-11-07T05:31:56Z",
"lastSkipReason": "<string>",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Agent ID. Accepts the canonical agent_… form or the external_id:<value> form.
"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
Query Parameters
Maximum number of results to return.
Pagination cursor from previous response.
Filter expression (query param: prefix).
Free-form search query.
Filters by metadata labels. Comma-separated key=value pairs, e.g. "env=prod,team=ai". A resource matches only if every pair matches exactly (AND semantics).
Sort order for results (asc or desc by creation time).
When true, the info field on each returned schedule is populated.
Requests with this flag count more against your rate limit.